Bug 3485 - Button to clear screen after checkout
Summary: Button to clear screen after checkout
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: rel_3_0
Hardware: PC All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-03 11:56 UTC by Jane Wagner
Modified: 2012-10-25 22:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Clear screen button screenshot (15.95 KB, image/jpeg)
2009-08-03 11:56 UTC, Chris Cormack
Details
Proposed change (9.51 KB, image/png)
2009-08-31 14:53 UTC, Chris Cormack
Details
Proposed change (1.89 KB, patch)
2009-08-31 14:53 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:15 UTC


---- Reported by jwagner@ptfs.com 2009-08-03 11:56:26 ----

Created an attachment
Clear screen button screenshot

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

Enhancement to add a "Clear Screen" button to the checkout tab so library staff can quickly clear the display screen.  Use is enabled by turning on the syspref DisplayClearScreenButton.



---- Additional Comments From jwagner@ptfs.com 2009-08-03 11:56:56 ----

Patch was sent July 26, 2009.



---- Additional Comments From gmcharlt@gmail.com 2009-08-23 17:27:45 ----

Patch pushed.  Please test and close.



---- Additional Comments From nengard@gmail.com 2009-08-23 23:54:04 ----

Documentation question - in the notes submitted with the patch in implied that the last borrower was cleared from checkout history - or I misread.  Please confirm that this is just supposed to clear the last person you were working with from the screen.



---- Additional Comments From jwagner@ptfs.com 2009-08-24 11:39:16 ----

Nicole, this button only clears the checkout screen (useful at circ desks where patrons can see the screen, so they can't see the last patron's data).  We are working on a separate feature to actually clear the reading history; see http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3531 for that. 




---- Additional Comments From nengard@gmail.com 2009-08-24 11:40:56 ----

Documentation updated and this patch works



---- Additional Comments From oleonard@myacpl.org 2009-08-31 14:53:09 ----

Created an attachment
Proposed change

I propose a change to the way the button is displayed, pictured in the attached screenshot. My proposed patch would also move display of the button from HTML to JavaScript, since the button functions using JavaScript and would therefore be non-functional with JS turned off.



---- Additional Comments From oleonard@myacpl.org 2009-08-31 14:53:52 ----

Created an attachment
Proposed change





---- Additional Comments From jwagner@ptfs.com 2009-09-08 12:42:15 ----

Owen, sounds good to me.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3485 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3485
Imported an attachment (id=1348)
Imported an attachment (id=1349)
Imported an attachment (id=1350)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was jwagner@ptfs.com.
The original submitter of attachment 1348 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1349 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1350 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.